export const cssConstants = {
  button_normal: {
    outline: "none !important",
    position: "relative",
    display: "inline-flex",
    alignItems: "center",
    justifyContent: "center",
    textTransform: "none",
    minHeight: "2.2rem",
    minWidth: "1.6rem",
    padding: ".5rem 1rem",
    // background: 'linear-gradient(180deg,#fff,#f9fafb)',
    // border: ".1rem solid var(--p-border,#c4cdd5)",
    boxShadow: "0 1px 0 0 rgba(22,29,37,.05)",
    borderRadius: "3px",
    lineHeight: 1,
    color: "#fff",
    textAlign: "center",
    cursor: "pointer",
    userSelect: "none",
    textDecoration: "none",
    transitionProperty: "background,border,box-shadow",
    transitionDuration: "var(--p-override-none,.2s)",
    transitionTimingFunction:
      "var(--p-override-none,cubic-bezier(.64,0,.35,1))",
    fontWeight: "600",
    "&:hover": {
      background: "#2b6b3b",
      textDecoration: "underline",
    },
    "&.noLeftBorder": {
      borderTopLeftRadius: "var(--p-border-radius-base,0)!important",
      borderBottomLeftRadius: "var(--p-border-radius-base,0)!important",
    },
    "&.noBorder": {
      borderRadius: 0,
    },
    "&.noRightBorder": {
      borderTopRightRadius: "var(--p-border-radius-base,0)!important",
      borderBottomRightRadius: "var(--p-border-radius-base,0)!important",
    },
    "&.medium": {
      minHeight: "39px",
    },
    "&.primary": {
      border: "1px solid #129535",
      boxShadow: "0 1px 0 0 rgba(22,29,37,.05)",
      background: "#129535",
      color: "#fff",
      "&:hover": {
        background: "#2b6b3b",
      },
    },
    "&.active": {
      border: "none",
      boxShadow: "none",
      background: "transparent",
      color: "var(--p-interactive, #007ace)",
      "&:hover": {
        textDecoration: "underline !important",
      },
    },
    "&.transparent": {
      background: "transparent",
      border: "none",
      boxShadow: "none",
      fontWeight: "bold",
      "&:hover": {
        background: "linear-gradient(180deg,#f1f2f3,#f1f2f3)",
      },
    },
    "&.icon": {
      background: "transparent",
      border: "none",
      boxShadow: "none",
      // fontWeight: 'bold',
      minHeight: "0",
      minWidth: "0",
      "&:hover": {
        background: "linear-gradient(180deg,#f1f2f3,#f1f2f3)",
      },
    },
    "&.disable": {
      background: "#f4f6f8 !important",
      color: "#919eab !important",
      cursor: "default",
      boxShadow: "none",
      "&:hover": {
        textDecoration: "none !important",
        // background: 'linear-gradient(180deg,#f1f2f3,#f1f2f3)',
      },
    },
    "&.secondary": {
      background: "transparent",
      border: "0.1rem solid var(--p-border-critical,#fd5749)",
      boxShadow: "none",
      color: "var(--p-interactive-critical, #d82c0d)",
      "&:hover": {
        textDecoration: "none !important",
        background: "linear-gradient(180deg,#f7e4e3,#f7e4e3)",
      },
    },
    "&.enable": {
      background: "transparent",
      border: "0.1rem solid var(--p-border-critical,#339933)",
      boxShadow: "none",
      color: "var(--p-interactive-critical, #336633)",
      "&:hover": {
        textDecoration: "none !important",
        background: "linear-gradient(180deg,#d3f1d3,#d3f1d3)",
      },
    },
    "&.small": {
      minHeight: "2rem",
      padding: ".3rem .5rem",
      fontSize: "12px",
    },
    "&.drop": {
      fontWeight: "400",
      border: "none",
      boxShadow: "none",
      background: "transparent",
      minHeight: "1rem",
      padding: "0rem 0rem",
      fontSize: "14px",
    },
    "&.secondary2": {
      background: "var(--p-border-critical,#ea3222)",
      border: "0.1rem solid var(--p-border-critical,#d81302)",
      // boxShadow: 'none',
      color: "var(--p-interactive-critical, #fff)",
      "&:hover": {
        textDecoration: "none !important",
        background: "#d01404",
      },
    },
    "&.disable1": {
      background: "#f1f1f1 !important",
      color: "#8c9196 !important",
      cursor: "default",
      boxShadow: "none",
      "&:hover": {
        textDecoration: "none !important",
        // background: 'linear-gradient(180deg,#f1f2f3,#f1f2f3)',
      },
    },
    "&.warning": {
      border: ".1rem solid var(--p-border,#fcbd01)",
      boxShadow: "0 1px 0 0 rgba(22,29,37,.05)",
      background: "linear-gradient(180deg,#fcbd01,#fcbd01)",
      color: "#fff",
      fontWeight: "500",
      "&:hover": {
        background: "linear-gradient(180deg,#fcbd01,#e0a904)",
        textDecoration: "none !important",
      },
    },
    "&.outline": {
      background: "transparent",
      border: ".1rem solid var(--p-border,#14aaf5)",
      color: "#14aaf5",
      "&:hover": {
        background: "linear-gradient(180deg,#14aaf5,#14aaf5)",
        color: "#fff",
        textDecoration: "none !important",
      },
    },
    "&.default": {
      background: 'linear-gradient(180deg,#fff,#f9fafb)',
      border: '1px solid #ccc',
      color: '#212121',
      '&:hover': {
        background: '#E5E5EA',
        color: '#212121',
        textDecoration: 'underline !important'
      },
    },
  },
  error: {
    fontSize: 14,
    color: "var(--p-text-critical,#bf0711)",
    fill: "var(--p-icon-critical,#bf0711)",
  },
  btn_toolbar: {
    background: "linear-gradient(180deg,#fff,#f9fafb) !important",
    border: ".1rem solid var(--p-border,#c4cdd5) !important",
    boxShadow: "0 1px 0 0 rgba(22,29,37,.05) !important",
    borderRadius: "3px !important",
    fontSize: "14px",
    "&:hover": {
      background: "linear-gradient(180deg,#fff,#eee) !important",
    },
    "&.noLeftBorder": {
      borderTopLeftRadius: "var(--p-border-radius-base,0)!important",
      borderBottomLeftRadius: "var(--p-border-radius-base,0)!important",
    },
    "&.noBorder": {
      borderRadius: "0 !important",
    },
    "&.noRightBorder": {
      borderTopRightRadius: "var(--p-border-radius-base,0)!important",
      borderBottomRightRadius: "var(--p-border-radius-base,0)!important",
    },
    "&.right": {
      marginLeft: -1,
    },
  },
  btnImg_pop: {
    outline: "none !important",
    position: "relative",
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
    width: "100%",
    margin: "0px",
    padding: "0px",
    border: "0.1rem solid var(--p-border-subdued,#dfe3e8)",
    background: "var(--p-background,#f4f6f8)",
    borderRadius: "6px",
    minHeight: "8rem",
    "&.select": {
      borderColor: "var(--p-interactive,#5c6ac4)",
      outline: "none",
    },
  },
  divFirst_pop: {
    "&.select": {
      opacity: 0.3,
    },
    position: "absolute",
    zIndex: 11,
    top: "0px",
    right: "0px",
    bottom: "0px",
    left: "0px",
    display: "flex",
    flexFlow: "column wrap",
    justifyContent: "center",
    alignItems: "center",
    width: "100%",
    height: "100%",
    opacity: 0,
    background: "var(--p-interactive-default,#5c6ac4)",
    borderRadius: "5px",
    cursor: "pointer",
  },
  gridContainer_pop: {
    display: "grid",
    gridTemplateColumns: "repeat(4, 1fr)",
    gap: "0.8rem",
    userSelect: "none",
  },
  container_img_pop: {
    zIndex: 5,
    display: "flex",
    overflow: "hidden",
    flexDirection: "column",
    justifyContent: "center",
    alignItems: "center",
    width: "100%",
    borderRadius: "5px",
    // transform: 'translateZ(0px)',
  },
  img_item_pop: {
    position: "absolute",
    zIndex: 1,
    maxWidth: "100%",
    maxHeight: "100%",
    "&:after": {
      content: "''",
      display: "block",
      width: "100%",
      paddingBottom: "100%",
    },
  },
  check_img_pop: {
    "&.select": {
      opacity: 1,
    },
    opacity: 0,
    position: "absolute",
    top: "0.3rem",
    left: "0.3rem",
    zIndex: 12,
  },
  span_check_pop: {
    filter: "drop-shadow(rgba(0, 0, 0, 0.1) 0px 2px 4px)",
  },
  dropzone_input_pop: {
    outline: "none",
    visibility: "hidden",
  },
  content_dropzone_pop: {
    flex: "1 1 0%",
    "&:after": {
      content: "var(--p-non-null-content,none)",
      position: "absolute",
      zIndex: 1,
      top: "-0.3rem",
      right: "-0.3rem",
      bottom: "-0.3rem",
      left: "-0.3rem",
      display: "block",
      pointerEvents: "none",
      boxShadow: "0 0 0 -0.3rem var(--p-focused)",
      transition: "box-shadow 0.1s var(--p-ease)",
      borderRadius: "calc(var(--p-border-radius-base) + 0.1rem)",
    },
  },
  btnAddImg_pop: {
    border: "0.2rem dashed var(--p-divider,#919eab)",
    borderRadius: "3px",
    cursor: "pointer",
    display: "flex",
    alignItems: "center",
    flexDirection: "column",
    justifyContent: "center",
    textAlign: "center",
    padding: "0.8rem",
    outline: "none",
    minHeight: "8rem",
    backgroundColor: "var(--p-surface,#fff)",
  },
  text_ellipsis: {
    overflow: "hidden",
    textOverflow: "ellipsis",
    whiteSpace: "nowrap",
    display: "block",
  },
  sub_title: {
    fontSize: 14,
    color: "#637381",
  },
  btn_link: {
    outline: "none !important",
    background: "transparent",
    whiteSpace: "nowrap",
    color: "var(--p-interactive, #007ace)",
    "&:hover": {
      textDecoration: "underline !important",
    },
    overflow: "hidden",
    "&.over": {
      maxWidth: "12rem",
    },
    minHeight: "2.2rem",
    minWidth: "1.6rem",
    padding: ".5rem 1rem",
  },
  un_icon_span: {
    color: "var(--p-surface-warning,#ffea8a)",
    position: "relative",
    display: "flex",
    alignItems: "center",
    margin: ".4rem",
    height: "1rem",
    width: "1rem",
    maxHeight: "100%",
    maxWidth: "100%",
    "&:before": {
      backgroundColor: "var(--p-surface-warning,#ffea8a)",
      content: "''",
      position: "absolute",
      top: "-.3rem",
      bottom: "-.3rem",
      left: "-.3rem",
      right: "-.3rem",
      borderRadius: "50%",
    },
  },
  un_icon: {
    fill: "var(--p-icon-warning, #b98900)",
    position: "relative",
    display: "block",
    width: "100%",
    maxWidth: "100%",
    maxHeight: "100%",
  },
  h_fit_content: {
    height: "fit-content",
  },
  a_href: {
    color: "#006fbb",
    borderRadius: 4,
    // display: 'flex',
    alignItems: "center",
    cursor: "pointer",
    "&:hover": {
      textDecoration: "underline !important",
    },
  },
};
